# ImportWizardPageColumns.DatatypeEditingSupport (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class ImportWizardPageColumns.DatatypeEditingSupport

- java.lang.Object
- - org.eclipse.jface.viewers.EditingSupport
  - - org.deidentifier.arx.gui.view.impl.wizard.ImportWizardPageColumns.DatatypeEditingSupport

- Enclosing class:
    ImportWizardPageColumns

      public class ImportWizardPageColumns.DatatypeEditingSupport
      extends org.eclipse.jface.viewers.EditingSupport

  Implements editing support for data type column within the column page This allows to change the data type of columns. The modifications are performed with a combo box `ComboBoxCellEditor`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportWizardPageColumns.DatatypeEditingSupport(org.eclipse.jface.viewers.TableViewer viewer)` Creates a new editor for the given `TableViewer`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `canEdit(java.lang.Object column)` Indicates that enabled cells within this column can be edited.
    `protected org.eclipse.jface.viewers.CellEditor` | `getCellEditor(java.lang.Object arg0)` Returns a reference to `#editor`.
    `protected java.lang.Object` | `getValue(java.lang.Object element)` Returns current index of `#choices` for given column datatype.
    `protected void` | `setValue(java.lang.Object element, java.lang.Object value)` Applies data type choice made by the user If a data type, which requires a format string, was selected an input dialog will be shown `actionShowFormatInputDialog`.
    `void` | `update(java.util.List<ImportWizardModelColumn> columns)` Updates this editing support

    - ### Methods inherited from class org.eclipse.jface.viewers.EditingSupport

      `getViewer, initializeCellEditorValue, saveCellEditorValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImportWizardPageColumns.DatatypeEditingSupport

          public ImportWizardPageColumns.DatatypeEditingSupport(org.eclipse.jface.viewers.TableViewer viewer)

      Creates a new editor for the given `TableViewer`.
      Parameters:
        `viewer` - The TableViewer this editor is implemented for
        `columns` - The columns

  - ### Method Detail

    - #### update

          public void update(java.util.List<ImportWizardModelColumn> columns)

      Updates this editing support
      Parameters:
        `columns` -

    - #### canEdit

          protected boolean canEdit(java.lang.Object column)

      Indicates that enabled cells within this column can be edited.
      Specified by:
        `canEdit` in class `org.eclipse.jface.viewers.EditingSupport`
      Parameters:
        `column` -
      Returns:

    - #### getCellEditor

          protected org.eclipse.jface.viewers.CellEditor getCellEditor(java.lang.Object arg0)

      Returns a reference to `#editor`.
      Specified by:
        `getCellEditor` in class `org.eclipse.jface.viewers.EditingSupport`
      Parameters:
        `arg0` -
      Returns:

    - #### getValue

          protected java.lang.Object getValue(java.lang.Object element)

      Returns current index of `#choices` for given column datatype.
      Specified by:
        `getValue` in class `org.eclipse.jface.viewers.EditingSupport`
      Parameters:
        `element` -
      Returns:

    - #### setValue

          protected void setValue(java.lang.Object element,
                      java.lang.Object value)

      Applies data type choice made by the user If a data type, which requires a format string, was selected an input dialog will be shown `actionShowFormatInputDialog`. Otherwise the choice is directly applied. THe input dialog itself will make sure that the format string is valid for the data type. This method on the other hand will try to apply the format string to the available preview data `ImportWizardModel.getPreviewData()` making sure that it matches. In case of an error the choice is discarded.
      Specified by:
        `setValue` in class `org.eclipse.jface.viewers.EditingSupport`
      Parameters:
        `element` -
        `value` -